PHP is amongst the most commonly used general-purpose scripting languages. It is extremely popular since it is free software, which can be used to develop responsive websites such as social networking sites, web shops or e-learning websites rather than static HTML-based websites. A PHP module must be present on the web server where a PHP website is hosted so that its source code can be ‘decrypted’. Since there aren’t any license fees for this type of module and the language itself offers infinite options for the applications that you create, there are hundreds of millions of PHP sites. Also, there are a multitude of open-source PHP scripts, which you can use for your sites without needing to possess any programming knowledge. Given the fact that there are a number of versions of PHP, you should verify that the same version that you used whilst developing your site is present on the web server as well.
PHP 4, PHP 5, PHP 7 and PHP 8 Support in Cloud Web Hosting
We have reached a decision not to restrict our present and potential customers from choosing the PHP version that their sites will use, which goes to say that if you purchase a cloud web hosting plan from us, you will be able to choose between versions 4, 5 and 7, not only for the account as a whole, but also for each individual domain that you host. This can be accomplished with only one mouse click from our custom Hepsia Control Panel via which all web hosting accounts are administered, which is why you won’t have to possess any technical or coding abilities. You will be able to host websites built with both new and old scripts without any hassle, so if you wish to drop your present web hosting company and move over to us, you can be certain that all the websites that you’ve created over the years will continue to work correctly.
PHP 4, PHP 5, PHP 7 and PHP 8 Support in Semi-dedicated Servers
Even if your sites were built with an earlier version of PHP, you’ll be able to host them in a semi-dedicated server account from us, as we support multiple versions running at the same time on our servers and each of them can be enabled for your account with just one click of the mouse via our custom-built Hepsia hosting Control Panel. Besides the latest PHP 8, we also support 5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 and the older PHP 4. The latter has already been dropped by the vast majority of hosting providers, but we are convinced that you should not be forced to modify a site that took years to create, as older programming language syntax doesn’t automatically imply safety loopholes. On the contrary, a correctly maintained site using PHP 4 can be more reliable than a non-maintained one using PHP 5. For the sake of your convenience, we will also give you the possibility to set a different PHP version for each individual site within your account.